Debian Bug report logs - #604589
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:qgo; Maintainer for src:qgo is Yann Dirson <dirson@debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Mon, 22 Nov 2010 23:48:01 UTC

Severity: important

Tags: sid, wheezy

Found in version qgo/1.5.4-r3-2

Fixed in version qgo/2~svn764-1

Done: Yann Dirson <dirson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Cyril Chaboisseau <cyril.chaboisseau@free.fr>:
Bug#604589; Package src:qgo. (Mon, 22 Nov 2010 23:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Cyril Chaboisseau <cyril.chaboisseau@free.fr>. (Mon, 22 Nov 2010 23:48:04 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Tue, 23 Nov 2010 00:44:55 +0100
Source: qgo
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Bug Marked as found in versions qgo/1.5.4-r3-2. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 11:30:09 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:28:58 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:34:57 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:37:00 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 19 May 2012 09:58:46 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Sat, 19 May 2012 09:58:48 GMT) Full text and rfc822 format available.

Message #18 received at 604589-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 266398-done@bugs.debian.org,291789-done@bugs.debian.org,359050-done@bugs.debian.org,419855-done@bugs.debian.org,455253-done@bugs.debian.org,458252-done@bugs.debian.org,474242-done@bugs.debian.org,580863-done@bugs.debian.org,589595-done@bugs.debian.org,596439-done@bugs.debian.org,604589-done@bugs.debian.org,629450-done@bugs.debian.org,
Cc: qgo@packages.debian.org, qgo@packages.qa.debian.org
Subject: Bug#673486: Removed package(s) from unstable
Date: Sat, 19 May 2012 09:51:10 +0000
Version: 1.5.4-r3-2.1+rm

Dear submitter,

as the package qgo has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/673486

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 19 May 2012 20:06:08 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 1.5.4-r3-2.1+rm. Request was from Yann Dirson <dirson@debian.org> to control@bugs.debian.org. (Sat, 19 May 2012 20:09:04 GMT) Full text and rfc822 format available.

Bug reopened Request was from Yann Dirson <dirson@debian.org> to control@bugs.debian.org. (Sat, 19 May 2012 20:21:05 GMT) Full text and rfc822 format available.

Reply sent to Yann Dirson <dirson@debian.org>:
You have taken responsibility. (Sun, 20 May 2012 00:06:03 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Sun, 20 May 2012 00:06:03 GMT) Full text and rfc822 format available.

Message #29 received at 604589-close@bugs.debian.org (full text, mbox):

From: Yann Dirson <dirson@debian.org>
To: 604589-close@bugs.debian.org
Subject: Bug#604589: fixed in qgo 2~svn764-1
Date: Sun, 20 May 2012 00:03:17 +0000
Source: qgo
Source-Version: 2~svn764-1

We believe that the bug you reported is fixed in the latest version of
qgo, which is due to be installed in the Debian FTP archive:

qgo_2~svn764-1.debian.tar.gz
  to main/q/qgo/qgo_2~svn764-1.debian.tar.gz
qgo_2~svn764-1.dsc
  to main/q/qgo/qgo_2~svn764-1.dsc
qgo_2~svn764-1_amd64.deb
  to main/q/qgo/qgo_2~svn764-1_amd64.deb
qgo_2~svn764.orig.tar.bz2
  to main/q/qgo/qgo_2~svn764.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604589@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yann Dirson <dirson@debian.org> (supplier of updated qgo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 May 2012 19:05:05 +0200
Source: qgo
Binary: qgo
Architecture: source amd64
Version: 2~svn764-1
Distribution: unstable
Urgency: low
Maintainer: Yann Dirson <dirson@debian.org>
Changed-By: Yann Dirson <dirson@debian.org>
Description: 
 qgo        - Go client and full featured SGF editor
Closes: 604589 673520
Changes: 
 qgo (2~svn764-1) unstable; urgency=low
 .
   * The "Raise dead" release (Closes: #673520), new maintainer.
   * New upstream snapshot with Qt4 support (Closes: #604589), adjusted
     build-deps.
   * Switched to source format "3.0 (quilt)", adjusted build-deps.
   * Switched to dh and debhelper compat level 9, adjusted build-deps.
   * Build with -fpermissive.
   * New build-dep libasound2-dev, remove obsolete build-dep on libxinerama-dev.
   * Refreshed patches 01_gnugo and 04_desktop, leaving 20_kfreebsd away
     for this release, and removing the remaining ones, now obsolete.
   * Added patch 02_usrgames for FHS-correct install location.
   * Adjusted icon names in menu file.
Checksums-Sha1: 
 09e1b1ed7c812c4f9ffa9b6649f622c329de8887 1050 qgo_2~svn764-1.dsc
 8ad58db634ed97b56abf7a5fd27a4ed9c9e80271 2491726 qgo_2~svn764.orig.tar.bz2
 a96388d5a24a9c26c17d60de03a94d208676222b 8773 qgo_2~svn764-1.debian.tar.gz
 72a46c300eecb646a9ca60a2db232682220cf61e 2481008 qgo_2~svn764-1_amd64.deb
Checksums-Sha256: 
 573bfa35b95c274dfaf6e7b4243404d67200ed008b8e4081b434ef2eb26d4cb3 1050 qgo_2~svn764-1.dsc
 07620bf2d08def7630aab69338ce345451d36e1c19acde649ec44be500102205 2491726 qgo_2~svn764.orig.tar.bz2
 91887a7238f6810a68c8afe678ed32be25473f92a0a490b5c54d920a55f8c414 8773 qgo_2~svn764-1.debian.tar.gz
 33f84c8b36a967268db30d1ea1e72e056196c0aceeb4ce9c3e5537ea1860ad72 2481008 qgo_2~svn764-1_amd64.deb
Files: 
 f5c0ca8ff0d6ff3eaee418e02446e5bc 1050 games optional qgo_2~svn764-1.dsc
 e27cb51c143346db4d050d4a491550ad 2491726 games optional qgo_2~svn764.orig.tar.bz2
 024691550ed72fde6e2b0fa2c3cac42a 8773 games optional qgo_2~svn764-1.debian.tar.gz
 05605c5b4f539cd60b1a4d03f9f4f0c3 2481008 games optional qgo_2~svn764-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPt9V9V1uVslwzwbgRAgqpAJ4/jTMLzbdjc15CO59rmbKK1lUKIwCgokKT
8Ke57oyiVjfU4Q5vmiznvEw=
=is4g
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2012 07:45:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:19:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.